%define section         free

# To make the tarball:
#  svn co svn+ssh://svn.forge.objectweb.org/svnroot/jonas-sandbox/jonas-gnurmic -r {2005-07-25} fastrmic
#  find fastrmic -name .svn | xargs rm -rf

%define svn_version     20050725
%define release         0.%{svn_version}.1jpp_1rh

Name:			fastrmic
Summary:		A Java RMI stub/skeleton compiler
Version: 		1.0
Release:		%{release}
Epoch:			0
#URL: 			
License: 		GPL
Group: 			Development/Libraries/Java
Source: 		%{name}-%{version}-%{svn_version}-src.tar.bz2
Patch0:			asm-classpath.patch
BuildRequires:	jpackage-utils, maven, maven-plugins-base
BuildRequires:	asm >= 1.5.3
Requires:		asm >= 1.5.3
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:		noarch

%description
A Java RMI stub/skeleton compiler that generates bytecode using the ASM
library from ObjectWeb. It supports both version 1.1 and version 1.2 of
Java RMI, but does not have support for IIOP.

%prep
%setup -q -n %{name}
%patch0

mkdir externals
build-jar-repository externals \
		asm/asm

%build
unset CLASSPATH
ant jar

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
install -m 644 output/ow_fastrmic.jar \
    $RPM_BUILD_ROOT%{_javadir}/ow_fastrmic-%{version}.jar
ln -s ow_fastrmic-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/ow_fastrmic.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/*

%changelog
* Thu Jul 28 2005 Deepak Bhole <dbhole@redhat.com> 0:1.0.0-1jpp_1rh
- First Red Hat build.

* Mon Jul 25 2005 Deepak Bhole <dbhole@redhat.com> 0:1.0.0-1jpp
- Initial build.
